// Copyright (C) 2020 The Android Open Source Project
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
// http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package com.google.gerrit.acceptance.testsuite.change;

/**
 * Marks the commit that contains the comment (also known as side). Used by {@link
 * TestCommentCreation} and {@link TestRobotCommentCreation}.
 */
enum CommentSide {
  PATCHSET_COMMIT(1),
  AUTO_MERGE_COMMIT(0),
  PARENT_COMMIT(-1),
  SECOND_PARENT_COMMIT(-2);

  private final short numericSide;

  CommentSide(int numericSide) {
    this.numericSide = (short) numericSide;
  }

  public short getNumericSide() {
    return numericSide;
  }
}
